לתקן שגיאות הורדה כשמעדכנים גרסת וורדפרס

לתקן שגיאות הורדה כשמעדכנים גרסת וורדפרס

יש מקרים שבהם כאשר מבצעים שידרוג של מערכת וורדפרס לגרסה עדכנית, מקבלים הודעת שגיאה והמערכת לא מתעדכנת. לרוב מדובר על עידכון גרסה ישנה של וורדפרס (כגון 3.8). ההודעה שמקבלים – ההתקנה נכשלה – וכמובן שהמערכת לא התעדכנה.

לפעמים מקבלים הודעה יותר מפורטת …

ההורדה נכשלה. ספריית היעד של הקובץ לא קיימת או לא זמינה.

זה מה שקרה לי כשעדכנתי גרסה מיושנת של אחד הלקוחות שלי. הפתרון פשוט ביותר.

פתרון לההתקנה שנכשלה

יש לפתוח את העמוד wp-config.php עם עורך קוד או ישירות מה-cpanel דרך עורך הקבצים המובנה במערכת.

צריך להכניס שורת קוד חדשה

define('WP_TEMP_DIR', ABSPATH . 'wp-content/');

ולשמור את העמוד.

 

המיקום היכן להכניס את שורת הקוד החדשה, מופיע מטה.

wordpress-upgrade-error-fix

 

יש לבצע שידרוג מחדש. בתקווה שהבעיה נפתרה.

 

אם עדיין קיימת בעיה, צריך לבדוק שהתיקייה ראשית wp-content בעלת הרשאות 775 ואם לא יש לשנות כדי שהשרת יוכל לגשת לקבצים בתיקייה זו.

 

תגיות:
נגישות